NetBeans IDE 7.4

NetBeans.org - 83.5 MB (Open Source)



NetBeans IDE is a tool that simplify the process of application development or the creation of a website.

NetBeans IDE is a program designed for developers who want to create web pages, mobile apps and other projects using programming languages like ​​Java, PHP, Javascript, Ajax, Groovy or C + +.

The program automatically detects the presence of Java, JDK, SOA, Ruby, MySQL, etc.. on your system, as well as GlassFish or Apache servers, to provide the necessary plugins. You can easily create Web applications, corporate portals, cross-platform software in Java, software for mobile phones and you will have many editing tools, a debugger, a preview module, templates and libraries, functions and completion of implementations.

The latest version of NetBeans IDE now supports the specification language Java SE development. It also integrates with Oracle WebLogic Server and supports Oracle Database and GlassFish. We note in passing the HTML5 editing facility and a new GridBagLayout designed to improve the user interface development and editing Java code.

Title:
NetBeans IDE 7.4
File Size:
83.5 MB
Requirements:
Windows 2000 / XP / Vista / Windows7 / XP64 / Vista64 / Windows7 64 / Windows8 / Windows8 64
Language:
en-us
License:
Open Source
Date Added:
23 Oct 2013
Publisher:
NetBeans.org
Homepage:
http://www.netbeans.org
MD5 Checksum:
7CBF1E71FF20F1166F8AB6E81BE7020E

# New
* HTML5 development for Android and iOS devices
* HTML5 development in Java EE and PHP applications
* Editing support for Knockout and AngularJS frameworks
* Java SE 8 Support
* Redesigned JavaFX support according to JDK 8 architecture
# Supported technologies:
* Java EE 7, Java EE 6, Java EE 5 and J2EE 1.4
* JavaFX 2.2.x
* Java ME SDK 3.2
* Java Card 3 SDK
* Struts 1.3.10
* Spring 3.2, 2.5
* Hibernate 3.6.10
* Java Wireless Toolkit 2.5.2 for CLDC
* Issue Tracking
- Bugzilla 4.0.x and earlier
- Jira 5.0 and earlier
* PHP 5.4, 5.3, 5.2, 5.1
* Groovy 2.1
* Grails 2.2
* Apache Ant 1.9.1
* Apache Maven 3.0.5 and earlier
* C/C++/Fortran
* VCS
- Subversion: 1.7.x, 1.6.x
- Mercurial: 2.2.x and earlier
- ClearCase V7.0
- Git 1.7.
# Tested application servers:
* GlassFish Server Open Source Edition 4.0
* WebLogic 12c
# Known to run application servers:
* GlassFish Server Open Source Edition 3.x
* Tomcat 7.x
* JBoss AS 7.x
* WebLogic 11g




Screenshots

Related software





User Rating:

4.4/5 from 17 users

Like US

Last Version